import { GridBaseAPIService } from '../api.service';
import { IgxGridComponent } from './grid.component';
import { IGroupByRecord } from '../../data-operations/groupby-record.interface';
import { IGroupByExpandState } from '../../data-operations/groupby-expand-state.interface';
import { IGroupingExpression } from '../../data-operations/grouping-expression.interface';
export declare class IgxGridAPIService extends GridBaseAPIService<IgxGridComponent> {
    groupBy(id: string, expression: IGroupingExpression): void;
    groupBy_multiple(id: string, expressions: IGroupingExpression[]): void;
    clear_groupby(id: string, name?: string | Array<string>): void;
    groupBy_get_expanded_for_group(id: string, groupRow: IGroupByRecord): IGroupByExpandState;
    groupBy_is_row_in_group(id: string, groupRow: IGroupByRecord, rowID: any): boolean;
    groupBy_toggle_group(id: string, groupRow: IGroupByRecord): void;
    protected remove_grouping_expression(id: any, fieldName: any): void;
    arrange_sorting_expressions(id: any): void;
    get_groupBy_record_id(gRow: IGroupByRecord): string;
}
